Package org.zkoss.stateless.sul

## Enum IDrawer.Position

- java.lang.Object
- - java.lang.Enum<IDrawer.Position>
  - - org.zkoss.stateless.sul.IDrawer.Position

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<IDrawer.Position>`
  Enclosing interface:
    IDrawer<I extends IAnyGroup>

      public static enum IDrawer.Position
      extends java.lang.Enum<IDrawer.Position>

  Specifies the position to the drawer component.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BOTTOM` | The bottom position for the drawer.
    `LEFT` | The left position for the drawer.
    `RIGHT` | The right position for the drawer.
    `TOP` | The top position for the drawer.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static IDrawer.Position` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static IDrawer.Position[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LEFT

          public static final IDrawer.Position LEFT

      The left position for the drawer.

    - #### RIGHT

          public static final IDrawer.Position RIGHT

      The right position for the drawer.

    - #### TOP

          public static final IDrawer.Position TOP

      The top position for the drawer.

    - #### BOTTOM

          public static final IDrawer.Position BOTTOM

      The bottom position for the drawer.

  - ### Method Detail

    - #### values

          public static IDrawer.Position[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IDrawer.Position c : IDrawer.Position.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IDrawer.Position valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null